#!/bin/bash

echo "High-frequency Transfer Function for D1300812 as part of test procedure E1300845."
date
TIME=$(date +"%m-%d-%y_%I:%M:%S")
echo "Running HF transfer function for D1300812 PLL for VCO servo board."
echo "Channel R should be teed (using a splitter) to both RF Out and IN. (After calibration."
echo "Use a T with a 50 Ohm terminator at IN1."
echo "Channel A should be connected to the VCO TNC output."
echo "Set switches D2 and D14 down, all other switches up."
echo "Serial number of D1300812 board (No :'s, please):"
read SERIAL
FILENAME=$SERIAL.IN1VCOHighFreqTF.$TIME
echo "Results will be recorded to $FILENAME.txt."
./TFAG4395A.py -f $FILENAME -i $GPIB_IP_ADDRESS -p 200 --AR --start 10kHz --fin 10MHz -v 100
echo "Connect Channel A to f/phi output. Press enter when ready."
read READY
FILENAME=$SERIAL.INFphiHighFreqTF.$TIME
echo "Results will be recorded to $FILENAME.txt."
./TFAG4395A.py -f $FILENAME -i $GPIB_IP_ADDRESS -p 200 --AR --start 10kHz --fin 10MHz -v 100 
echo "High frequency transfer function complete."

