#!/usr/bin/env python
#
# Just reads the distortion harmonic values from the SR785.

import re
import sys
import math
import optparse
import time
import netgpib
import SR785
import termstatus
#from pylab import *
#import matplotlib.pyplot as plt


#Parse options
usage = """usage: %prog [options]

This is a program to snag the 992Hz harmonic distortion valuesc from the SR785.
"""

parser = optparse.OptionParser(usage=usage)
parser.add_option("-i", "--ip",
                  dest="ipAddress", default="169.254.0.4",
                  help="IP address/Host name")
(options, args) = parser.parse_args()

#Create a netGPIB class object
print('Connecting...'),
gpibObj=netgpib.netGPIB(str(options.ipAddress), 10, '\004',0)
print('done.')

gpibObj.command('MKMD0,1')
time.sleep(0.1)
gpibObj.command('MKMX0')
time.sleep(0.1)
gpibObj.command('HRMN0,4')
time.sleep(0.1)
thd = gpibObj.query('HTHD?0,1')
thd = thd.rstrip('\n') #Strip newline character.
print 'Total harmonic distortion is: '+thd+'dB.'

print 'done.'
gpibObj.close()
