#!/bin/bash

echo "DAQ Transfer Functions for D1300812 as part of test procedure E1300845."
date
TIME=$(date +"%m-%d-%y_%I:%M:%S")
echo "Running DAQ transfer functions for D1300812 PLL Board rev A."
echo "Channel A1 should be teed to both Source Out and IN."
echo "Channel A2 should be connected to IMON (on the DB9 to 3 BNCs adapter) or pins 1 and 6 on a breakout board."
echo "Serial number of D1300812 board (No :'s, please):"
read SERIAL
FILENAME=$SERIAL.DAQIMONTF.$TIME
echo "Results will be recorded to $FILENAME.txt"
./TFSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -s 10000 -e 1 -n 201 --sweep Log -x 1V -t 2
echo "Plug channel A2 into FMON (or pins 2 and 7 on a breakout board). Press enter when ready."
read READY
FILENAME=$SERIAL.DAQCNTRLMONTF.$TIME
echo "Results will be recorded to $FILENAME.txt"
./TFSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -s 10000 -e 1 -n 201 --sweep Log -x 1v -t 2
echo "DAQ transfer functions complete."
