#!/bin/bash

echo "Distortion Measurement for D1300812 as part of test procedure E1300845."
date
TIME=$(date +"%m-%d-%y_%H:%M:%S")
echo "Running noise measurement FFTs for D1300812 PLL Board rev A."
echo "Source out should be connected to IN."
echo "Channel A1 should be connected to VCO output."
echo "Serial number of PLL board (No :'s, please):"
read SERIAL
FILENAME=$SERIAL.IN1Distortion.$TIME
echo "Results will be recorded to $FILENAME.txt"
./FFTSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -b 10kHz -n 800 -v 100 -x True --excFreq 992Hz --excAmp 1V
./GetDistortionHarmonics.py -i $GPIB_IP_ADDRESS
echo "Connect A1 to f/phi. Press enter when ready."
read READY
FILENAME=$SERIAL.fphiDistortion.$TIME
echo "Results will be recorded to $FILENAME.txt"
./FFTSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -b 10kHz -n 800 -v 100 -x True --excFreq 992Hz --excAmp 1V
./GetDistortionHarmonics.py -i $GPIB_IP_ADDRESS
echo "Distortion Measurement Complete."

