#!/bin/bash

echo "Noise Measurements for D1300812 as part of test procedure E1300845"
echo "Running noise measurement FFTs for D1300812 PLL Board rev A."
echo "IN should be grounded (terminated w/ 50 Ohms), D2 and D14 should be down, all other switches up."
echo "Channel A1 should be connected to VCO out."
echo "Serial number of D1300812 board (No :'s, please):"
read SERIAL
TIME=$(date +"%m-%d-%y-%H:%M:%S")
FILENAME=$SERIAL.VCOoutNoise.$TIME
echo "Results will be recorded to $FILENAME.txt"
./CompositeFFTSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -n 800 -v 100 --ic1 AC
echo "OUT1 FFT complete. Plug channel A1 into f/phi. Press enter when ready."
read READY
FILENAME=$SERIAL.fphiNoise.$TIME
echo "Results will be recorded to $FILENAME.txt"
./CompositeFFTSR785.py -f $FILENAME -i $GPIB_IP_ADDRESS -n 800 -v 100 --ic1 AC 
echo "Noise Measurements Complete."

